---
name: TagPill
route: /Form/TagPill
menu: Form
---

import { Playground, PropsTable } from 'docz'
import { View } from 'react-native'
import { TagPill } from '../../../src'
import { colors } from '@barcard/functions'

## TagPill

## About

Displays tag text for the TagsInput in a pill with a removal handler.

## Properties

<PropsTable of={TagPill} includeDescription={true} />

## Basic Usage

<Playground>
  <View style={{ display: 'flex', flex: 1 }}>
    <TagPill
      item={{ id: '0', name: 'Tyrannosaurus Rex', armLength: '3 ft' }}
      handleRemove={() => alert('Removal handler called.')}
    />
  </View>
</Playground>

## Example Data

```
/* Only the name property is required. */
item = { id: "0", name: "Tyrannosaurus Rex", armLength: "3 ft" }
```
